BUNDLE_NAME = "ietf"

CAPABILITIES = {
    "iana-crypt-hash": "2014-08-06",
    "iana-if-type": "2014-05-08",
    "ietf-diffserv-action": "2015-04-07",
    "ietf-diffserv-classifier": "2015-04-07",
    "ietf-diffserv-policy": "2015-04-07",
    "ietf-diffserv-target": "2015-04-07",
    "ietf-event-notifications": "2016-10-27",
    "ietf-inet-types": "2013-07-15",
    "ietf-interfaces": "2014-05-08",
    "ietf-interfaces-ext": "",
    "ietf-ip": "2014-06-16",
    "ietf-ipv4-unicast-routing": "2015-05-25",
    "ietf-ipv6-unicast-routing": "2015-05-25",
    "ietf-key-chain": "2015-02-24",
    "ietf-netconf": "2011-06-01",
    "ietf-netconf-acm": "2012-02-22",
    "ietf-netconf-monitoring": "2010-10-04",
    "ietf-netconf-notifications": "2012-02-06",
    "ietf-netconf-with-defaults": "2011-06-01",
    "ietf-ospf": "2015-03-09",
    "ietf-restconf-monitoring": "2016-08-15",
    "ietf-routing": "2015-05-25",
    "ietf-syslog-types": "2015-11-09",
    "ietf-yang-library": "2016-06-21",
    "ietf-yang-push": "2016-10-28",
    "ietf-yang-smiv2": "2012-06-22",
    "ietf-yang-types": "2013-07-15",
    "policy-types": "2013-10-07",
}

ENTITY_LOOKUP = {
    ("urn:ietf:params:xml:ns:yang:ietf-diffserv-classifier", "classifiers"): "ietf_diffserv_classifier.Classifiers",
    ("ietf-diffserv-classifier", "classifiers"): "ietf_diffserv_classifier.Classifiers",
    ("urn:ietf:params:xml:ns:yang:ietf-diffserv-policy", "policies"): "ietf_diffserv_policy.Policies",
    ("ietf-diffserv-policy", "policies"): "ietf_diffserv_policy.Policies",
    ("urn:ietf:params:xml:ns:yang:ietf-event-notifications", "streams"): "ietf_event_notifications.Streams",
    ("ietf-event-notifications", "streams"): "ietf_event_notifications.Streams",
    ("urn:ietf:params:xml:ns:yang:ietf-event-notifications", "filters"): "ietf_event_notifications.Filters",
    ("ietf-event-notifications", "filters"): "ietf_event_notifications.Filters",
    ("urn:ietf:params:xml:ns:yang:ietf-event-notifications", "subscription-config"): "ietf_event_notifications.SubscriptionConfig",
    ("ietf-event-notifications", "subscription-config"): "ietf_event_notifications.SubscriptionConfig",
    ("urn:ietf:params:xml:ns:yang:ietf-event-notifications", "subscriptions"): "ietf_event_notifications.Subscriptions",
    ("ietf-event-notifications", "subscriptions"): "ietf_event_notifications.Subscriptions",
    ("urn:ietf:params:xml:ns:yang:ietf-interfaces", "interfaces"): "ietf_interfaces.Interfaces",
    ("ietf-interfaces", "interfaces"): "ietf_interfaces.Interfaces",
    ("urn:ietf:params:xml:ns:yang:ietf-interfaces", "interfaces-state"): "ietf_interfaces.InterfacesState",
    ("ietf-interfaces", "interfaces-state"): "ietf_interfaces.InterfacesState",
    ("urn:ietf:params:xml:ns:yang:ietf-key-chain", "key-chains"): "ietf_key_chain.KeyChains",
    ("ietf-key-chain", "key-chains"): "ietf_key_chain.KeyChains",
    ("urn:ietf:params:xml:ns:yang:ietf-netconf-acm", "nacm"): "ietf_netconf_acm.Nacm",
    ("ietf-netconf-acm", "nacm"): "ietf_netconf_acm.Nacm",
    ("urn:ietf:params:xml:ns:yang:ietf-netconf-monitoring", "netconf-state"): "ietf_netconf_monitoring.NetconfState",
    ("ietf-netconf-monitoring", "netconf-state"): "ietf_netconf_monitoring.NetconfState",
    ("urn:ietf:params:xml:ns:yang:ietf-restconf-monitoring", "restconf-state"): "ietf_restconf_monitoring.RestconfState",
    ("ietf-restconf-monitoring", "restconf-state"): "ietf_restconf_monitoring.RestconfState",
    ("urn:ietf:params:xml:ns:yang:ietf-routing", "routing-state"): "ietf_routing.RoutingState",
    ("ietf-routing", "routing-state"): "ietf_routing.RoutingState",
    ("urn:ietf:params:xml:ns:yang:ietf-routing", "routing"): "ietf_routing.Routing",
    ("ietf-routing", "routing"): "ietf_routing.Routing",
    ("urn:ietf:params:xml:ns:yang:ietf-yang-library", "modules-state"): "ietf_yang_library.ModulesState",
    ("ietf-yang-library", "modules-state"): "ietf_yang_library.ModulesState",
}

NAMESPACE_LOOKUP = {
    "iana-crypt-hash": "urn:ietf:params:xml:ns:yang:iana-crypt-hash",
    "iana-if-type": "urn:ietf:params:xml:ns:yang:iana-if-type",
    "ietf-diffserv-action": "urn:ietf:params:xml:ns:yang:ietf-diffserv-action",
    "ietf-diffserv-classifier": "urn:ietf:params:xml:ns:yang:ietf-diffserv-classifier",
    "ietf-diffserv-policy": "urn:ietf:params:xml:ns:yang:ietf-diffserv-policy",
    "ietf-diffserv-target": "urn:ietf:params:xml:ns:yang:ietf-diffserv-target",
    "ietf-event-notifications": "urn:ietf:params:xml:ns:yang:ietf-event-notifications",
    "ietf-inet-types": "urn:ietf:params:xml:ns:yang:ietf-inet-types",
    "ietf-interfaces": "urn:ietf:params:xml:ns:yang:ietf-interfaces",
    "ietf-interfaces-ext": "urn:ietf:params:xml:ns:yang:ietf-interfaces-ext",
    "ietf-ip": "urn:ietf:params:xml:ns:yang:ietf-ip",
    "ietf-ipv4-unicast-routing": "urn:ietf:params:xml:ns:yang:ietf-ipv4-unicast-routing",
    "ietf-ipv6-unicast-routing": "urn:ietf:params:xml:ns:yang:ietf-ipv6-unicast-routing",
    "ietf-key-chain": "urn:ietf:params:xml:ns:yang:ietf-key-chain",
    "ietf-netconf": "urn:ietf:params:xml:ns:netconf:base:1.0",
    "ietf-netconf-acm": "urn:ietf:params:xml:ns:yang:ietf-netconf-acm",
    "ietf-netconf-monitoring": "urn:ietf:params:xml:ns:yang:ietf-netconf-monitoring",
    "ietf-netconf-notifications": "urn:ietf:params:xml:ns:yang:ietf-netconf-notifications",
    "ietf-netconf-with-defaults": "urn:ietf:params:xml:ns:yang:ietf-netconf-with-defaults",
    "ietf-ospf": "urn:ietf:params:xml:ns:yang:ietf-ospf",
    "ietf-restconf-monitoring": "urn:ietf:params:xml:ns:yang:ietf-restconf-monitoring",
    "ietf-routing": "urn:ietf:params:xml:ns:yang:ietf-routing",
    "ietf-syslog-types": "urn:ietf:params:xml:ns:yang:ietf-syslog-types",
    "ietf-yang-library": "urn:ietf:params:xml:ns:yang:ietf-yang-library",
    "ietf-yang-push": "urn:ietf:params:xml:ns:yang:ietf-yang-push",
    "ietf-yang-smiv2": "urn:ietf:params:xml:ns:yang:ietf-yang-smiv2",
    "ietf-yang-types": "urn:ietf:params:xml:ns:yang:ietf-yang-types",
    "policy-types": "urn:ietf:params:xml:ns:yang:c3pl-types",
}

